<?php
  /* enqueue scripts and style from parent theme */        
function twentytwenty_styles() {
  wp_enqueue_style( 'parent', get_template_directory_uri() . '/style.css' );
  }
add_action( 'wp_enqueue_scripts', 'twentytwenty_styles');

add_filter( 'theme_mod_accent_accessible_colors', 'op_change_default_colours', 10, 1 );

/**
 * Override the colours added in the customiser.
 *
 * @param array $default An array of the key colours being used in the theme.
 */
function op_change_default_colours( $default ) {

  $default = array(
		   'content'       => array(
					    'text'      => '#000000',
					    'accent'    => '#000',
					    'secondary' => '#6d6d6d',
					    'borders'   => '#dcd7ca',
					    ),
		   'header-footer' => array(
					    'text'      => '#000000',
					    'accent'    => '#000',
					    'secondary' => '#6d6d6d',
					    'borders'   => '#dcd7ca',
					    ),
		   );

  return $default;
}

/**
 * Register widget areas.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function twentytwentyblog_sidebar_registration() {

	// Arguments used in all register_sidebar() calls.
	$shared_args = array(
		'before_title'  => '<h2 class="widget-title subheading heading-size-3">',
		'after_title'   => '</h2>',
		'before_widget' => '<div class="widget %2$s"><div class="widget-content">',
		'after_widget'  => '</div></div>',
	);

	// Sidebar #1..
	register_sidebar(
		array_merge(
			$shared_args,
			array(
				'name'        => __( 'Sidebar Right', 'twentytwenty' ),
				'id'          => 'sidebar-3',
				'description' => __( 'Widgets in this area will be displayed in the second column to the right.', 'twentytwenty' ),
			)
		)
	);

}

add_action( 'widgets_init', 'twentytwentyblog_sidebar_registration' );
